function ImageAxisCenter(handle, file)
    img = imread(file);
    [M, N] = size(img);

    parent = get(handle, 'Parent');
    position = get(parent, 'Position');
    set(handle, 'Position', [position(3)/2-N/2, position(4)/2-M/2, N, M]);

    imshow(img, 'Parent', handle);
    axis(handle, 'image');
end
