function SetSliderLabelCallback(slider, label, string, fun)
    fn = @(varargin) callback(slider, label, string, fun);
    set(slider, 'Callback', fn);
end

function callback(slider, label, string, fun)
    value = get(slider, 'Value');
    if nargin >= 4
        value = fun(value);
    end
    str = sprintf(string, value);
    set(label, 'String', str);
end
